%define url_ver	%{lua: ver = rpm.expand("%{version}"); majmin, count1 = string.gsub(ver, "^([0123456789]+%.[0123456789]+).*", "%1", 1); if count1 == 0 then print(ver); return; end; maj, count2 = string.gsub(majmin, "^([0123456789]+).*", "%1", 1); if count2 == 0 then print(majmin) elseif tonumber(majmin) < 40 then print(majmin) else print(maj) end}

Name:		accerciser
Version:	3.44.1
Release:	%mkrel 1
Summary:        Interactive Python accessibility explorer for the GNOME desktop
License:	BSD
Group:		Accessibility
URL:		https://wiki.gnome.org/Apps/Accerciser
Source0:	https://download.gnome.org/sources/%{name}/%{url_ver}/%{name}-%{version}.tar.xz
BuildArch:	noarch
BuildRequires:	pkgconfig(atspi-2) >= 2.5.2
BuildRequires:	pkgconfig(gtk+-3.0) >= 3.24.0
BuildRequires:	pkgconfig(pygobject-3.0) >= 2.90.3
BuildRequires:	gettext
BuildRequires:	itstool
BuildRequires:	meson
BuildRequires:	libxml2-utils
BuildRequires:	yelp-tools
BuildRequires:	pkgconfig(python3)
Requires:	python3dist(pygobject)

%description
Accerciser is an interactive Python accessibility explorer for the GNOME
desktop. It uses AT-SPI to inspect and control widgets, allowing you to check
if an application is providing correct information to assistive technologies
and automated test frameworks. Accerciser has a simple plugin framework which
you can use to create custom views of accessibility information.


%prep
%autosetup -p1


%build
%meson
%meson_build


%install
%meson_install

%find_lang accerciser --with-gnome

%files -f accerciser.lang
%doc AUTHORS NEWS README.md
%{_bindir}/accerciser
%{python3_sitelib}/accerciser/
%{_datadir}/accerciser/
%{_datadir}/applications/accerciser.desktop
%{_datadir}/glib-2.0/schemas/org.a11y.Accerciser.gschema.xml
%{_datadir}/gnome-shell/extensions/*
%{_datadir}/icons/hicolor/*/apps/%{name}*.*
%{_metainfodir}/*.metainfo.xml
%{_mandir}/man1/accerciser.1*


%changelog
* Sun Aug 25 2024 neoclust <neoclust> 3.44.1-1.mga10
+ Revision: 2091141
- New version 3.44.1

* Mon Dec 18 2023 papoteur <papoteur> 3.42.0-2.mga10
+ Revision: 2018945
- Mass Rebuild - Python 3.12

* Thu Oct 12 2023 daviddavid <daviddavid> 3.42.0-1.mga10
+ Revision: 1994845
- new version 3.42.0

* Fri Aug 05 2022 tv <tv> 3.40.0-1.mga9
+ Revision: 1875366
- Add a real description
- Fix build & filelist
+ ovitters <ovitters>
- new version 3.40.0

* Wed Mar 16 2022 tv <tv> 3.39.1-1.mga9
+ Revision: 1794463
- Update to 3.39.1

* Mon Feb 14 2022 tmb <tmb> 3.38.0-4.mga9
+ Revision: 1774786
- rebuild for python 3.10

* Sat Mar 20 2021 neoclust <neoclust> 3.38.0-3.mga9
+ Revision: 1706286
- Rebuild against python 3.9

* Fri Mar 19 2021 wally <wally> 3.38.0-2.mga9
+ Revision: 1704986
- rebuild for python 3.9

* Thu Sep 10 2020 ovitters <ovitters> 3.38.0-1.mga8
+ Revision: 1624087
- new version 3.38.0

* Wed Jul 22 2020 ovitters <ovitters> 3.37.1-2.mga8
+ Revision: 1608012
- rebuild for get rid of pythonegg requires

* Thu Jul 09 2020 ovitters <ovitters> 3.37.1-1.mga8
+ Revision: 1603442
- new version 3.37.1

* Sat Jul 04 2020 ovitters <ovitters> 3.36.2-1.mga8
+ Revision: 1602043
- new version 3.36.2

* Sat May 09 2020 wally <wally> 3.36.1-2.mga8
+ Revision: 1582255
- rebuild for updated python deps
- update Url

* Fri Apr 24 2020 ovitters <ovitters> 3.36.1-1.mga8
+ Revision: 1571765
- new version 3.36.1

* Thu Mar 05 2020 ovitters <ovitters> 3.36.0-1.mga8
+ Revision: 1554197
- new version 3.36.0

* Tue Feb 18 2020 umeabot <umeabot> 3.34.4-2.mga8
+ Revision: 1541817
- Mageia 8 Mass Rebuild

* Wed Feb 12 2020 ovitters <ovitters> 3.34.4-1.mga8
+ Revision: 1491833
- new version 3.34.4
+ wally <wally>
- replace deprecated %%configure2_5x

* Thu Jan 02 2020 ovitters <ovitters> 3.34.3-1.mga8
+ Revision: 1475513
- new version 3.34.3

* Thu Nov 21 2019 ovitters <ovitters> 3.34.2-1.mga8
+ Revision: 1461906
- new version 3.34.2

* Mon Oct 07 2019 ovitters <ovitters> 3.34.1-1.mga8
+ Revision: 1450048
- new version 3.34.1

* Sat Sep 14 2019 daviddavid <daviddavid> 3.34.0-2.mga8
+ Revision: 1440715
- rebuild for python3.8

* Sat Sep 07 2019 ovitters <ovitters> 3.34.0-1.mga8
+ Revision: 1438228
- new version 3.34.0

* Sat Aug 31 2019 ovitters <ovitters> 3.33.92-1.mga8
+ Revision: 1436012
- new version 3.33.92

* Tue Aug 20 2019 ovitters <ovitters> 3.33.91-1.mga8
+ Revision: 1430698
- new version 3.33.91

* Mon Aug 19 2019 daviddavid <daviddavid> 3.33.4-1.mga8
+ Revision: 1430229
- new version 3.33.4

* Tue Jul 02 2019 ovitters <ovitters> 3.32.3-1.mga8
+ Revision: 1417635
- new version 3.32.3

* Fri May 17 2019 daviddavid <daviddavid> 3.32.2-1.mga7
+ Revision: 1398140
- new version 3.32.2

* Sun Apr 07 2019 ovitters <ovitters> 3.32.1-1.mga7
+ Revision: 1386617
- new version 3.32.1

* Sat Mar 23 2019 daviddavid <daviddavid> 3.32.0-1.mga7
+ Revision: 1379689
- new version 3.32.0

* Thu Mar 07 2019 ovitters <ovitters> 3.31.4-1.mga7
+ Revision: 1372592
- new version 3.31.4
- drop merged patch

* Mon Jan 07 2019 shlomif <shlomif> 3.22.0-4.mga7
+ Revision: 1350848
- Rebuild for python3 3.7 - patch from Debian

* Sun Sep 23 2018 umeabot <umeabot> 3.22.0-3.mga7
+ Revision: 1297272
- Mageia 7 Mass Rebuild

* Sat Aug 05 2017 pterjan <pterjan> 3.22.0-2.mga7
+ Revision: 1136171
- Rebuild for python 3.6

* Thu Sep 22 2016 ovitters <ovitters> 3.22.0-1.mga6
+ Revision: 1055235
- new version 3.22.0

* Fri Feb 19 2016 umeabot <umeabot> 3.14.0-4.mga6
+ Revision: 970563
- Mageia 6 Mass Rebuild

* Wed Oct 07 2015 ovitters <ovitters> 3.14.0-3.mga6
+ Revision: 887187
- rebuild for new python3

* Wed Oct 15 2014 umeabot <umeabot> 3.14.0-2.mga5
+ Revision: 749625
- Second Mageia 5 Mass Rebuild

* Sun Sep 28 2014 wally <wally> 3.14.0-1.mga5
+ Revision: 731385
- new version 3.14.0

* Tue Sep 16 2014 umeabot <umeabot> 3.13.92-2.mga5
+ Revision: 677680
- Mageia 5 Mass Rebuild

* Tue Sep 16 2014 ovitters <ovitters> 3.13.92-1.mga5
+ Revision: 676960
- new version 3.13.92

* Sat May 31 2014 pterjan <pterjan> 3.12.0-3.mga5
+ Revision: 629664
- Rebuild for new Python

* Sat May 31 2014 pterjan <pterjan> 3.12.0-2.mga5
+ Revision: 629527
- Rebuild for new Python

* Tue Mar 25 2014 ovitters <ovitters> 3.12.0-1.mga5
+ Revision: 608203
- new version 3.12.0

* Tue Mar 18 2014 ovitters <ovitters> 3.11.92.1-1.mga5
+ Revision: 605183
- new version 3.11.92.1

* Tue Mar 18 2014 ovitters <ovitters> 3.11.92-1.mga5
+ Revision: 604677
- new version 3.11.92

* Mon Mar 03 2014 ovitters <ovitters> 3.11.91-1.mga5
+ Revision: 599201
- new version 3.11.91

* Tue Feb 18 2014 ovitters <ovitters> 3.11.90-1.mga5
+ Revision: 594145
- new version 3.11.90

* Sat Nov 09 2013 ovitters <ovitters> 3.8.2-4.mga4
+ Revision: 550141
- fix url

* Sat Nov 02 2013 fwang <fwang> 3.8.2-3.mga4
+ Revision: 548849
- add requires on python3-gi

* Sat Oct 19 2013 umeabot <umeabot> 3.8.2-2.mga4
+ Revision: 523679
- Mageia 4 Mass Rebuild

* Fri May 24 2013 dams <dams> 3.8.2-1.mga4
+ Revision: 426250
- new version 3.8.2
- new version 3.8.2

* Fri Jan 11 2013 umeabot <umeabot> 3.6.2-2.mga3
+ Revision: 345220
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Nov 13 2012 fwang <fwang> 3.6.2-1.mga3
+ Revision: 317353
- new version 3.6.2

* Tue Sep 25 2012 ovitters <ovitters> 3.6.0-1.mga3
+ Revision: 297343
- new version 3.6.0

* Tue Sep 18 2012 ovitters <ovitters> 3.5.92-1.mga3
+ Revision: 295723
- new version 3.5.92

* Tue Sep 04 2012 fwang <fwang> 3.5.91-2.mga3
+ Revision: 287898
- br libxml2-utils

* Tue Sep 04 2012 fwang <fwang> 3.5.91-1.mga3
+ Revision: 287891
- br itstool
+ ovitters <ovitters>
- new version 3.5.91

* Tue Aug 21 2012 ovitters <ovitters> 3.5.90-1.mga3
+ Revision: 282768
- new version 3.5.90

* Tue Aug 07 2012 ovitters <ovitters> 3.5.5-1.mga3
+ Revision: 279622
- new version 3.5.5

* Wed Jun 27 2012 ovitters <ovitters> 3.5.3-1.mga3
+ Revision: 264512
- new version 3.5.3

* Mon Apr 16 2012 ovitters <ovitters> 3.4.1-1.mga2
+ Revision: 231127
- new version 3.4.1

* Tue Mar 27 2012 ovitters <ovitters> 3.4.0-1.mga2
+ Revision: 227027
- new version 3.4.0

* Tue Mar 20 2012 ovitters <ovitters> 3.3.92-1.mga2
+ Revision: 224546
- new version 3.3.92

* Wed Feb 22 2012 ovitters <ovitters> 3.3.90-1.mga2
+ Revision: 212322
- new version

* Tue Feb 07 2012 fwang <fwang> 3.3.5-1.mga2
+ Revision: 205810
- new version 3.3.5

* Sat Oct 29 2011 fwang <fwang> 3.3.1-1.mga2
+ Revision: 159411
- new version 3.3.1

* Tue Oct 18 2011 wally <wally> 3.2.1-1.mga2
+ Revision: 156072
- new version 3.2.1

* Mon Sep 26 2011 ovitters <ovitters> 3.2.0-1.mga2
+ Revision: 149024
- new version 3.2.0

* Tue Sep 20 2011 fwang <fwang> 3.1.92-1.mga2
+ Revision: 145817
- new version 3.1.92

* Tue Sep 06 2011 tv <tv> 3.1.91-2.mga2
+ Revision: 139443
- drop useless %%preun

* Tue Sep 06 2011 tv <tv> 3.1.91-1.mga2
+ Revision: 139196
- fix file list
- fix file list
- new release

* Tue Aug 30 2011 fwang <fwang> 3.1.90-1.mga2
+ Revision: 136432
- new version 3.1.90
+ wally <wally>
- new vesion 3.1.5
- new version 3.1.4

* Sun Jul 10 2011 wally <wally> 3.1.3-1.mga2
+ Revision: 121730
- new version 3.1.3

* Mon Apr 18 2011 wally <wally> 1.12.1-1.mga1
+ Revision: 87843
- new version 1.12.1
- use configure2_5x macro
- add .omf files to lang list
- drop old provides/obsoletes
- clean .spec

* Sun Apr 10 2011 dmorgan <dmorgan> 1.10.1-1.mga1
+ Revision: 82792
- imported package accerciser


* Tue Apr 27 2010 Götz Waschk <waschk@mandriva.org> 1.10.1-1mdv2010.1
+ Revision: 539448
- update to new version 1.10.1

* Tue Mar 30 2010 Götz Waschk <waschk@mandriva.org> 1.10.0-1mdv2010.1
+ Revision: 529945
- update to new version 1.10.0

* Wed Dec 09 2009 Götz Waschk <waschk@mandriva.org> 1.9.3-1mdv2010.1
+ Revision: 475383
- update to new version 1.9.3

* Mon Sep 21 2009 Götz Waschk <waschk@mandriva.org> 1.8.0-1mdv2010.0
+ Revision: 447013
- update to new version 1.8.0

* Tue Aug 25 2009 Götz Waschk <waschk@mandriva.org> 1.7.91-1mdv2010.0
+ Revision: 420750
- update to new version 1.7.91

* Tue Aug 11 2009 Götz Waschk <waschk@mandriva.org> 1.7.90-1mdv2010.0
+ Revision: 415137
- update to new version 1.7.90

* Mon Jul 13 2009 Götz Waschk <waschk@mandriva.org> 1.7.4-1mdv2010.0
+ Revision: 395480
- update to new version 1.7.4

* Sun May 24 2009 Götz Waschk <waschk@mandriva.org> 1.7.2-1mdv2010.0
+ Revision: 379321
- update to new version 1.7.2

* Mon May 11 2009 Götz Waschk <waschk@mandriva.org> 1.7.1-1mdv2010.0
+ Revision: 374177
- new version

* Tue Apr 14 2009 Götz Waschk <waschk@mandriva.org> 1.6.1-1mdv2009.1
+ Revision: 366957
- update to new version 1.6.1

* Mon Mar 16 2009 Götz Waschk <waschk@mandriva.org> 1.6.0-1mdv2009.1
+ Revision: 355696
- update to new version 1.6.0

* Tue Feb 17 2009 Götz Waschk <waschk@mandriva.org> 1.5.91-1mdv2009.1
+ Revision: 341391
- update to new version 1.5.91

* Mon Feb 02 2009 Götz Waschk <waschk@mandriva.org> 1.5.9-1mdv2009.1
+ Revision: 336677
- update to new version 1.5.9

* Sun Jan 18 2009 Götz Waschk <waschk@mandriva.org> 1.5.5-1mdv2009.1
+ Revision: 330918
- update to new version 1.5.5

* Tue Jan 06 2009 Götz Waschk <waschk@mandriva.org> 1.5.4-1mdv2009.1
+ Revision: 325238
- update to new version 1.5.4

* Sun Jan 04 2009 Funda Wang <fwang@mandriva.org> 1.5.2-2mdv2009.1
+ Revision: 324136
- rebuild

* Tue Dec 02 2008 Götz Waschk <waschk@mandriva.org> 1.5.2-1mdv2009.1
+ Revision: 309035
- new version
- fix source URL

* Mon Sep 22 2008 Götz Waschk <waschk@mandriva.org> 1.4.0-1mdv2009.0
+ Revision: 286939
- new version

* Mon Sep 08 2008 Götz Waschk <waschk@mandriva.org> 1.3.92-1mdv2009.0
+ Revision: 282797
- new version

* Mon Sep 01 2008 Götz Waschk <waschk@mandriva.org> 1.3.91-1mdv2009.0
+ Revision: 278668
- new version

* Fri Aug 22 2008 Frederic Crozat <fcrozat@mandriva.com> 1.3.6-3mdv2009.0
+ Revision: 275195
- Fix error in python-at-spi version

* Fri Aug 22 2008 Frederic Crozat <fcrozat@mandriva.com> 1.3.6-2mdv2009.0
+ Revision: 275140
- Add missing dependency on gnome-python-gtksourceview
- Remove redundant dependency on at-spi

* Mon Aug 04 2008 Götz Waschk <waschk@mandriva.org> 1.3.6-1mdv2009.0
+ Revision: 263530
- new version

* Mon Jul 21 2008 Götz Waschk <waschk@mandriva.org> 1.3.5-1mdv2009.0
+ Revision: 239314
- new version

* Thu Jul 03 2008 Götz Waschk <waschk@mandriva.org> 1.3.4-2mdv2009.0
+ Revision: 231020
- new version

* Thu Jun 19 2008 Thierry Vignaud <tv@mandriva.org> 1.2.0-2mdv2009.0
+ Revision: 226109
- rebuild

* Mon Mar 10 2008 Götz Waschk <waschk@mandriva.org> 1.2.0-1mdv2008.1
+ Revision: 183713
- new version

* Tue Feb 26 2008 Götz Waschk <waschk@mandriva.org> 1.1.92-1mdv2008.1
+ Revision: 175273
- new version

* Mon Feb 11 2008 Götz Waschk <waschk@mandriva.org> 1.1.91-1mdv2008.1
+ Revision: 165040
- new version

* Mon Jan 28 2008 Götz Waschk <waschk@mandriva.org> 1.1.90-1mdv2008.1
+ Revision: 159467
- new version

* Mon Jan 14 2008 Götz Waschk <waschk@mandriva.org> 1.1.5-1mdv2008.1
+ Revision: 151891
- new version

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Tue Dec 04 2007 Götz Waschk <waschk@mandriva.org> 1.1.3-1mdv2008.1
+ Revision: 115214
- new version

* Wed Nov 14 2007 Götz Waschk <waschk@mandriva.org> 1.1.2-1mdv2008.1
+ Revision: 108694
- new version

* Mon Nov 05 2007 Guillaume Rousse <guillomovitch@mandriva.org> 1.1.1-2mdv2008.1
+ Revision: 106220
- rebuild for lzma permissions issue (#35309)

* Mon Oct 29 2007 Götz Waschk <waschk@mandriva.org> 1.1.1-1mdv2008.1
+ Revision: 103514
- new version

* Sat Oct 13 2007 Götz Waschk <waschk@mandriva.org> 1.0.1-1mdv2008.1
+ Revision: 97934
- new version

* Mon Sep 17 2007 Götz Waschk <waschk@mandriva.org> 1.0.0-1mdv2008.0
+ Revision: 88956
- new version

* Wed Sep 05 2007 Frederic Crozat <fcrozat@mandriva.com> 0.1.92-1mdv2008.0
+ Revision: 80051
- Release 0.1.92

* Fri Aug 10 2007 Frederic Crozat <fcrozat@mandriva.com> 0.1.6-1mdv2008.0
+ Revision: 61038
- Patch0 (SVN): fix type error in API browser
- Import accerciser

